Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000990Core InformUnderstandingpublic2012-08-12 22:542014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000990: "anything" and "any thing" behave differently as noun tokens
DescriptionIn the code below, we find:

- [something] and [anything] are compiled equivalently (the normal noun token)
- [thing] and [some thing] are equivalent (restrict the noun to things, excluding rooms or directions)
- [any thing] expands scope to the entire game.

This is confusing several ways. I would expect [anything] and [any thing] to be equivalent; [thing], [something], [some thing] similarly.

(Since [something] really means "some object", all of these examples should apply to objects rather than restricting to things. I hope that doesn't break any test cases.)
Minimal Source Text To Reproduce
"Test Case" by Andrew Plotkin

The Kitchen is a room.
The rock is a thing.

Zorking is an action applying to one visible thing.
Report zorking: say "You zork [the noun]."

Understand "verb1 [thing]" as zorking.
Understand "verb2 [something]" as zorking.
Understand "verb3 [some thing]" as zorking.
Understand "verb4 [anything]" as zorking.
Understand "verb5 [any thing]" as zorking.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001793)
mattweiner (reporter)
2012-08-13 11:02

The treatment of "any thing" seems parallel to that of "any door."
(0001795)
zarf (developer)
2012-08-13 12:40

It is, yes.
(0002572)
graham (administrator)
2014-03-16 15:12

The distinction between "[something]" and "[thing]" is worth keeping, in my view, but I agree about the any- words, and I've changed things so that "[anything]" means the same as "[any thing]"; "[anybody]" and "[anyone]" mean the same as "[any person]"; and "[anywhere]" means the same as "[any room]".

- Issue History
Date Modified Username Field Change
2012-08-12 22:54 zarf New Issue
2012-08-13 11:02 mattweiner Note Added: 0001793
2012-08-13 12:40 zarf Note Added: 0001795
2012-08-13 15:24 EmacsUser Status new => confirmed
2014-03-16 15:12 graham Note Added: 0002572
2014-03-16 15:12 graham Status confirmed => resolved
2014-03-16 15:12 graham Resolution open => fixed
2014-03-16 15:12 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker